<?php
/**
 * Typography Setting
 *
 * @package technology_software_firm
 */

// Typography Setting
$wp_customize->add_section(
    'technology_software_firm_typography_setting',
    array(
        'panel' => 'technology_software_firm_theme_options',
        'title' => esc_html__( 'Typography Setting', 'technology-software-firm' ),
    )
);

$wp_customize->add_setting(
    'technology_software_firm_site_title_font',
    array(
        'default'           => 'Mulish',
        'sanitize_callback' => 'technology_software_firm_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'technology_software_firm_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'technology-software-firm' ),
        'section'  => 'technology_software_firm_typography_setting',
        'settings' => 'technology_software_firm_site_title_font',
        'type'     => 'select',
        'choices'  => technology_software_firm_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'technology_software_firm_site_description_font',
	array(
		'default'           => 'Mulish',
		'sanitize_callback' => 'technology_software_firm_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'technology_software_firm_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'technology-software-firm' ),
		'section'  => 'technology_software_firm_typography_setting',
		'settings' => 'technology_software_firm_site_description_font',
		'type'     => 'select',
		'choices'  => technology_software_firm_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'technology_software_firm_header_font',
	array(
		'default'           => 'Mulish',
		'sanitize_callback' => 'technology_software_firm_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'technology_software_firm_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'technology-software-firm' ),
		'section'  => 'technology_software_firm_typography_setting',
		'settings' => 'technology_software_firm_header_font',
		'type'     => 'select',
		'choices'  => technology_software_firm_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'technology_software_firm_content_font',
	array(
		'default'           => 'Mulish',
		'sanitize_callback' => 'technology_software_firm_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'technology_software_firm_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'technology-software-firm' ),
		'section'  => 'technology_software_firm_typography_setting',
		'settings' => 'technology_software_firm_content_font',
		'type'     => 'select',
		'choices'  => technology_software_firm_get_all_google_font_families(),
	)
);